net.minecraft.scoreboard

## Class Scoreboard

- java.lang.Object
- - net.minecraft.scoreboard.Scoreboard

- Direct Known Subclasses:
    ServerScoreboard

      public class Scoreboard
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scoreboard()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScorePlayerTeam` | `func_96508_e(String par1Str)`
    `Map` | `func_96510_d(String par1Str)`
    `void` | `func_96511_d(ScorePlayerTeam par1ScorePlayerTeam)`
    `void` | `func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)`
    `void` | `func_96515_c(String par1Str)`
    `void` | `func_96516_a(String par1Str)`
    `void` | `func_96519_k(ScoreObjective par1ScoreObjective)`
    `Collection` | `func_96520_a(ScoreObjectiveCriteria par1ScoreObjectiveCriteria)`
    `void` | `func_96521_a(String par1Str, ScorePlayerTeam par2ScorePlayerTeam)`
    `void` | `func_96522_a(ScoreObjective par1ScoreObjective)`
    `void` | `func_96523_a(ScorePlayerTeam par1ScorePlayerTeam)`
    `boolean` | `func_96524_g(String par1Str)`
    `Collection` | `func_96525_g()`
    `ScorePlayerTeam` | `func_96527_f(String par1Str)`
    `Collection` | `func_96528_e()`
    `Score` | `func_96529_a(String par1Str, ScoreObjective par2ScoreObjective)`
    `void` | `func_96530_a(int par1, ScoreObjective par2ScoreObjective)`
    `Collection` | `func_96531_f()`
    `void` | `func_96532_b(ScoreObjective par1ScoreObjective)`
    `void` | `func_96533_c(ScoreObjective par1ScoreObjective)`
    `Collection` | `func_96534_i(ScoreObjective par1ScoreObjective)`
    `ScoreObjective` | `func_96535_a(String par1Str, ScoreObjectiveCriteria par2ScoreObjectiveCriteria)`
    `void` | `func_96536_a(Score par1Score)`
    `void` | `func_96538_b(ScorePlayerTeam par1ScorePlayerTeam)`
    `ScoreObjective` | `func_96539_a(int par1)`
    `ScoreObjective` | `getObjective(String par1Str)` Returns a ScoreObjective for the objective name
    `static String` | `getObjectiveDisplaySlot(int par0)` Returns 'list' for 0, 'sidebar' for 1, 'belowName for 2, otherwise null.
    `static int` | `getObjectiveDisplaySlotNumber(String par0Str)` Returns 0 for (case-insensitive) 'list', 1 for 'sidebar', 2 for 'belowName', otherwise -1.
    `Collection` | `getObjectiveNames()`
    `ScorePlayerTeam` | `getPlayersTeam(String par1Str)` Gets the ScorePlayerTeam object for the given username.
    `Collection` | `getScoreObjectives()`
    `void` | `removePlayerFromTeam(String par1Str, ScorePlayerTeam par2ScorePlayerTeam)` Removes the given username from the given ScorePlayerTeam.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scoreboard

          public Scoreboard()

  - ### Method Detail

    - #### getObjective

          public ScoreObjective getObjective(String par1Str)

      Returns a ScoreObjective for the objective name

    - #### func_96535_a

          public ScoreObjective func_96535_a(String par1Str,
                                    ScoreObjectiveCriteria par2ScoreObjectiveCriteria)

    - #### func_96520_a

          public Collection func_96520_a(ScoreObjectiveCriteria par1ScoreObjectiveCriteria)

    - #### func_96529_a

          public Score func_96529_a(String par1Str,
                           ScoreObjective par2ScoreObjective)

    - #### func_96534_i

          public Collection func_96534_i(ScoreObjective par1ScoreObjective)

    - #### getScoreObjectives

          public Collection getScoreObjectives()

    - #### getObjectiveNames

          public Collection getObjectiveNames()

    - #### func_96515_c

          public void func_96515_c(String par1Str)

    - #### func_96528_e

          public Collection func_96528_e()

    - #### func_96510_d

          public Map func_96510_d(String par1Str)

    - #### func_96519_k

          public void func_96519_k(ScoreObjective par1ScoreObjective)

    - #### func_96530_a

          public void func_96530_a(int par1,
                          ScoreObjective par2ScoreObjective)

    - #### func_96539_a

          public ScoreObjective func_96539_a(int par1)

    - #### func_96508_e

          public ScorePlayerTeam func_96508_e(String par1Str)

    - #### func_96527_f

          public ScorePlayerTeam func_96527_f(String par1Str)

    - #### func_96511_d

          public void func_96511_d(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96521_a

          public void func_96521_a(String par1Str,
                          ScorePlayerTeam par2ScorePlayerTeam)

    - #### func_96524_g

          public boolean func_96524_g(String par1Str)

    - #### removePlayerFromTeam

          public void removePlayerFromTeam(String par1Str,
                                  ScorePlayerTeam par2ScorePlayerTeam)

      Removes the given username from the given ScorePlayerTeam. If the player is not on the team then an IllegalStateException is thrown.

    - #### func_96531_f

          public Collection func_96531_f()

    - #### func_96525_g

          public Collection func_96525_g()

    - #### getPlayersTeam

          public ScorePlayerTeam getPlayersTeam(String par1Str)

      Gets the ScorePlayerTeam object for the given username.

    - #### func_96522_a

          public void func_96522_a(ScoreObjective par1ScoreObjective)

    - #### func_96532_b

          public void func_96532_b(ScoreObjective par1ScoreObjective)

    - #### func_96533_c

          public void func_96533_c(ScoreObjective par1ScoreObjective)

    - #### func_96536_a

          public void func_96536_a(Score par1Score)

    - #### func_96516_a

          public void func_96516_a(String par1Str)

    - #### func_96523_a

          public void func_96523_a(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96538_b

          public void func_96538_b(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96513_c

          public void func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)

    - #### getObjectiveDisplaySlot

          public static String getObjectiveDisplaySlot(int par0)

      Returns 'list' for 0, 'sidebar' for 1, 'belowName for 2, otherwise null.

    - #### getObjectiveDisplaySlotNumber

          public static int getObjectiveDisplaySlotNumber(String par0Str)

      Returns 0 for (case-insensitive) 'list', 1 for 'sidebar', 2 for 'belowName', otherwise -1.